/*
 * Generated by util/mkerr.pl DO NOT EDIT
 * Copyright 1995-2020 The OpenSSL Project Authors. All Rights Reserved.
 *
 * Licensed under the OpenSSL license (the "License").  You may not use
 * this file except in compliance with the License.  You can obtain a copy
 * in the file LICENSE in the source distribution or at
 * https://www.openssl.org/source/license.html
 */

#ifndef HEADER_FIPSERR_H
# define HEADER_FIPSERR_H

# include <openssl/symhacks.h>

# ifdef  __cplusplus
extern "C"
# endif

/*
 * FIPS function codes.
 */
# define FIPS_F_DH_BUILTIN_GENPARAMS                      100
# define FIPS_F_DRBG_RESEED                               101
# define FIPS_F_DSA_BUILTIN_PARAMGEN2                     102
# define FIPS_F_DSA_DO_SIGN                               103
# define FIPS_F_DSA_DO_VERIFY                             104
# define FIPS_F_EVP_CIPHERINIT_EX                         105
# define FIPS_F_EVP_CIPHER_CTX_NEW                        106
# define FIPS_F_EVP_CIPHER_CTX_RESET                      107
# define FIPS_F_EVP_DIGESTINIT_EX                         108
# define FIPS_F_FIPS_CHECK_DSA                            109
# define FIPS_F_FIPS_CHECK_EC                             110
# define FIPS_F_FIPS_CHECK_RSA                            111
# define FIPS_F_FIPS_DRBG_BYTES                           112
# define FIPS_F_FIPS_DRBG_CHECK                           113
# define FIPS_F_FIPS_DRBG_ERROR_CHECK                     114
# define FIPS_F_FIPS_DRBG_GENERATE                        115
# define FIPS_F_FIPS_DRBG_INIT                            116
# define FIPS_F_FIPS_DRBG_INSTANTIATE                     117
# define FIPS_F_FIPS_DRBG_NEW                             118
# define FIPS_F_FIPS_DRBG_SINGLE_KAT                      119
# define FIPS_F_FIPS_GET_ENTROPY                          120
# define FIPS_F_FIPS_MODULE_MODE_SET                      121
# define FIPS_F_FIPS_PKEY_SIGNATURE_TEST                  122
# define FIPS_F_FIPS_RAND_BYTES                           123
# define FIPS_F_FIPS_RAND_SEED                            124
# define FIPS_F_FIPS_RAND_SET_METHOD                      125
# define FIPS_F_FIPS_RAND_STATUS                          126
# define FIPS_F_FIPS_RSA_BUILTIN_KEYGEN                   127
# define FIPS_F_FIPS_SELFTEST_AES                         128
# define FIPS_F_FIPS_SELFTEST_AES_CCM                     129
# define FIPS_F_FIPS_SELFTEST_AES_GCM                     130
# define FIPS_F_FIPS_SELFTEST_AES_XTS                     131
# define FIPS_F_FIPS_SELFTEST_CMAC                        132
# define FIPS_F_FIPS_SELFTEST_DES                         133
# define FIPS_F_FIPS_SELFTEST_HMAC                        134
# define FIPS_F_FIPS_SELFTEST_SHA1                        135
# define FIPS_F_FIPS_SELFTEST_SHA2                        136
# define FIPS_F_FIPS_SELFTEST_SHA3                        137
# define FIPS_F_OSSL_ECDH_COMPUTE_KEY                     138
# define FIPS_F_OSSL_ECDSA_SIGN_SIG                       139
# define FIPS_F_OSSL_ECDSA_VERIFY_SIG                     140
# define FIPS_F_RSA_OSSL_PRIVATE_DECRYPT                  141
# define FIPS_F_RSA_OSSL_PRIVATE_ENCRYPT                  142
# define FIPS_F_RSA_OSSL_PUBLIC_DECRYPT                   143
# define FIPS_F_RSA_OSSL_PUBLIC_ENCRYPT                   144

/*
 * FIPS reason codes.
 */
# define FIPS_R_ADDITIONAL_INPUT_ERROR_UNDETECTED         100
# define FIPS_R_ADDITIONAL_INPUT_TOO_LONG                 101
# define FIPS_R_ALREADY_INSTANTIATED                      102
# define FIPS_R_DRBG_NOT_INITIALISED                      103
# define FIPS_R_ENTROPY_ERROR_UNDETECTED                  104
# define FIPS_R_ENTROPY_NOT_REQUESTED_FOR_RESEED          105
# define FIPS_R_ENTROPY_SOURCE_STUCK                      106
# define FIPS_R_ERROR_INITIALISING_DRBG                   107
# define FIPS_R_ERROR_INSTANTIATING_DRBG                  108
# define FIPS_R_ERROR_RETRIEVING_ADDITIONAL_INPUT         109
# define FIPS_R_ERROR_RETRIEVING_ENTROPY                  110
# define FIPS_R_ERROR_RETRIEVING_NONCE                    111
# define FIPS_R_FINGERPRINT_DOES_NOT_MATCH                112
# define FIPS_R_FIPS_MODE_ALREADY_SET                     113
# define FIPS_R_FIPS_SELFTEST_FAILED                      114
# define FIPS_R_FUNCTION_ERROR                            115
# define FIPS_R_GENERATE_ERROR                            116
# define FIPS_R_GENERATE_ERROR_UNDETECTED                 117
# define FIPS_R_INSTANTIATE_ERROR                         118
# define FIPS_R_INVALID_KEY_LENGTH                        119
# define FIPS_R_IN_ERROR_STATE                            120
# define FIPS_R_KEY_TOO_SHORT                             121
# define FIPS_R_NONCE_ERROR_UNDETECTED                    122
# define FIPS_R_NON_FIPS_METHOD                           123
# define FIPS_R_NOPR_TEST1_FAILURE                        124
# define FIPS_R_NOPR_TEST2_FAILURE                        125
# define FIPS_R_NOT_INSTANTIATED                          126
# define FIPS_R_PAIRWISE_TEST_FAILED                      127
# define FIPS_R_PERSONALISATION_ERROR_UNDETECTED          128
# define FIPS_R_PERSONALISATION_STRING_TOO_LONG           129
# define FIPS_R_PR_TEST1_FAILURE                          130
# define FIPS_R_PR_TEST2_FAILURE                          131
# define FIPS_R_REQUEST_LENGTH_ERROR_UNDETECTED           132
# define FIPS_R_REQUEST_TOO_LARGE_FOR_DRBG                133
# define FIPS_R_RESEED_COUNTER_ERROR                      134
# define FIPS_R_RESEED_ERROR                              135
# define FIPS_R_SELFTEST_FAILED                           136
# define FIPS_R_SELFTEST_FAILURE                          137
# define FIPS_R_TEST_FAILURE                              138
# define FIPS_R_UNINSTANTIATE_ERROR                       139
# define FIPS_R_UNINSTANTIATE_ZEROISE_ERROR               140
# define FIPS_R_UNSUPPORTED_DRBG_TYPE                     141
# define FIPS_R_UNSUPPORTED_PLATFORM                      142

#endif
